<?php
$seo['title'] = 'Identificação';
$layout['menudir'] = 'off';
include "topo.php";

# faz login
$msg = array();
if (isset($_POST['email1']) && isset($_POST['senha'])) {
    $objCliente = new Cliente();
    $objCliente->email = $_POST['email1'];
    $objCliente->senha = $_POST['senha'];
    if (!$objCliente->login()) { ?>
        <script>$(document).ready(function () { bootbox.alert("Login e/ou senha inválidos"); });</script>
    <?php }
}


# verifica redirecionamento
if (!empty($_SESSION['rz2']['cliente']['id'])){
    if (isset($_REQUEST['redirect']) && $_REQUEST['redirect'] != "") {
        header('Location: ' . URLRAIZ . $_REQUEST['redirect']);
        exit;
    } else {
        // encaminha para meus dados
        header('Location: ' . URLRAIZ . 'meus-dados');
        exit;
    }
}


# envia nova senha por email
if (isPost($_POST['emailesqueci'])) {
    $_POST['email1'] = $_POST['emailesqueci'];
    $emailCliente = $_POST['emailesqueci'];
    $idCliente = Cliente::buscaPorEmail($emailCliente);
    if (!$idCliente) {
        
        $msg[] = "Email não cadastrado";
    } else {
        $novaSenha = Cliente::getNovaSenha();
        $objCliente2 = new Cliente();
        $objCliente2->id = $idCliente;
        $objCliente2->carregar();
        $objCliente2->senha = md5($novaSenha);
        if ($objCliente2->alterar()) {
            Email::enviar($objCliente2->email, "Nova Senha", "esqueci-senha.html", array('novasenha' => $novaSenha)); ?>
            <script>$(document).ready(function () { bootbox.alert("Nova senha foi enviada por email"); });</script> <?php
        }
    }
}
?>

       
<div id="login" class="col-md-4 col-md-offset-1 col-sm-4 col-sm-offset-1 col-xs-12"> 
    <h3 class="tituloBox mg-tp-40 mg-bt-20">Já sou cliente</h3>
    
    <form name="flogin" id="flogin" action="" method="post" class="formulario1">
        <label for="email1">Email:</label>
        <input type="text" name="email1" id="email1" value="<?= $_POST['email1'] ?>" req='1'/>

        <label for="senha">Senha:</label>
        <input type="password" name="senha" id="senha"  value="" req='1'/>

        <a href="javascript:void()" id="esqueci-senha" title="Esqueci a senha" class="esqueci-senha-login">Esqueci a senha</a>

        <input type="button" name="continuar1" id="continuar1" class="botaoContinuar mg-bt-40" value="Entrar" onclick="validarForm(1)" />

        <input type="hidden" name="redirect" value="<?= $_REQUEST['redirect'] ?>" />
    </form>
    
</div>

        
<div id="precadastro" class="col-md-4 col-md-offset-1 col-sm-4 col-sm-offset-1 col-xs-12">
    <h3 class="tituloBox mg-tp-40 mg-bt-20">Ainda não tenho cadastro</h3>
    
    <form name="fprecadastro" id="fprecadastro" action="<?= URLRAIZ ?>cadastro" method="post" >
        <label for="email2">Email:</label>
        <input type="text" name="email2" id="email2" value="<?= $_POST['email2'] ?>" />

        <label for="senha">CEP:</label>
        <input type="text" name="cep" id="cep" class="fcep" value="<?= $_POST['cep'] ?>" <?= MASCARA_CEP ?>/>

        <a href="http://www.buscacep.correios.com.br/servicos/dnec/index.do" target="_blank" title="Procurar meu CEP"  class="esqueci-senha-login">Não sei meu CEP</a>

        <input type="button" name="continuar2" id="continuar2" class="botaoContinuar mg-bt-100" value="Cadastrar"/>

        <input type="hidden" name="precadastro" value="ok" />
        <input type="hidden" name="redirect" value="<?= $_REQUEST['redirect'] ?>" />
    </form>
    
</div>

        
<form name="fesqueci" id="fesqueci" method="post" action="">
    <input type="hidden" name="emailesqueci" id="emailesqueci" value="" />
</form>

<?php include "rodape.php"; ?>